/*
 * Copyright Rasmus Torkel 2013
 * Author    Rasmus Torkel 2013
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.config;

import java.io.File;

class ConfigParam
{
    public final String _name;
    public final String _value;
    public final File   _file;
    public final int    _lineNr;
    
    public
    ConfigParam(String name,
                String value,
                File   file,
                int    lineNr)
    {
        _name = name;
        _value = value;
        _file = file;
        _lineNr = lineNr;
    }
    
    public String
    valueForDisplay()
    {
        if (_value.length() == 0)
        {
            return "\"\"";
        }
        String value2 = _value.replace("\r", "\\r").replace("\n", "\\n").replace("\t", "\\t");
        char ch0 = value2.charAt(0);
        char chE = value2.charAt(value2.length() - 1);
        if (   Character.isWhitespace(ch0) || ch0 == '\"'
            || Character.isWhitespace(chE) || chE == '\"')
        {
            return "\"" + value2 + "\"";
        }
        else
        {
            return value2;
        }
    }
}
