package rasmus_torkel.config.exception;

import rasmus_torkel.text.read.exception.SemanticException;

/**
 * This exception is for situation when one configuration file refers
 * to another but the other one does not exist or fails some checks
 * that are performed before opening it up. In such cases it is not
 * clear whether the file containing the reference is erroneous or
 * the file referred to isn't what it should be, so this exception
 * is sort of in between a {@link ConfigSyntaxException} and a
 * {@link ConfigIoException}.
 * 
 * @author Rasmus Torkel
 *
 */
public class ConfigReferenceException extends SemanticException
{
    public
    ConfigReferenceException(String message)
    {
        super(message);
    }

    public
    ConfigReferenceException(String message,
                             Exception e)
    {
        super(message, e);
    }
}
