/*
 * Copyright Rasmus Torkel 2013
 * Author    Rasmus Torkel 2013
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.config.exception;

import rasmus_torkel.config.PropertySourceDescription;

/**
 * For situations where we are trying to convert a property value to a type
 * and can't and the reason does not appear any coding error.
 * @author Torkel
 *
 */
public class PropertyDoesNotMatchTypeException extends PropertyExpectationException
{
    public
    PropertyDoesNotMatchTypeException(String                    name,
                                      String                    value,
                                      Class<?>                  type,
                                      PropertySourceDescription sourceDescription)
    {
        this(name, value, type.getName(), sourceDescription);
    }
    
    public
    PropertyDoesNotMatchTypeException(String                    name,
                                      String                    value,
                                      String                    typeLabel,
                                      PropertySourceDescription sourceDescription)
    {
        super("property " + name + " = " + value +
              " does not match type " + typeLabel + ", source is " + sourceDescription);
    }
    
    public
    PropertyDoesNotMatchTypeException(String                    name,
                                      String                    value,
                                      Class<?>                  type,
                                      PropertySourceDescription sourceDescription,
                                      Exception                 constructorException)
    {
        super("property " + name + " = " + value +
              " does not match type " + type.getName() + ", source is " + sourceDescription +
              ", constructor throws " + constructorException,
              constructorException);
    }
}
