/*
 * Copyright Rasmus Torkel 2012
 * Author    Rasmus Torkel 2012
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.misc;

public class Ordinals
{
    public static String
    indexToOrdinal(int n)
    {
        return numberToOrdinal(n + 1);
    }
    
    public static String
    numberToOrdinal(int n)
    {
        if (n < 0)
        {
            throw new RuntimeException("Negative number " + n + " can not be converted to ordinal");
        }
        int lastDigit = n % 10;
        if (   n >= 4 && n <= 20
            || lastDigit == 0
            || lastDigit >= 4)
        {
            return n + "th";
        }
        else if (lastDigit == 1)
        {
            return n + "st";
        }
        else if (lastDigit == 2)
        {
            return n + "nd";
        }
        else //if (lastDigit == 3)
        {
            return n + "rd";
        }
    }
}
