package rasmus_torkel.set;

public class ExplicitSet<T> implements GenericSet<T>
{
    private final T[] _members;
    
    public
    ExplicitSet(T... members)
    {
        _members = members;
    }

    @Override
    public boolean
    isIn(T s)
    {
        for (T member : _members)
        {
            if (s.equals(member))
            {
                return true;
            }
        }
        return false;
    }
    
    @Override
    public String
    toString()
    {
        StringBuilder builder = new StringBuilder();
        for (int i = 0; i < _members.length; i++)
        {
            if (i > 0)
            {
                builder.append(", ");
            }
            builder.append("\"");
            builder.append(_members[i]);
            builder.append("\"");
        }
        return builder.toString();
    }
}
