/*
 * Copyright Rasmus Torkel 2013
 * Author    Rasmus Torkel 2012/2013
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.set.floats;

public class FloatRange implements FloatSet
{
    public final float _min;
    public final float _max;
    
    public
    FloatRange(float min,
               float max)
    {
        _min = min;
        _max = max;
    }

    @Override
    public boolean
    isIn(float f)
    {
        return f >= _min && f <= _max;
    }
    
    @Override
    public String
    toString()
    {
        return _min + " to " + _max;
    }
}
