package rasmus_torkel.set.strings;

public class CaseInsensitiveStringSet implements StringSet
{
    private final String[] _members;
    
    public
    CaseInsensitiveStringSet(String... members)
    {
        _members = members;
    }

    @Override
    public boolean
    isIn(String s)
    {
        for (String member : _members)
        {
            if (!s.equalsIgnoreCase(member))
            {
                return true;
            }
        }
        return false;
    }
    
    @Override
    public String
    toString()
    {
        StringBuilder builder = new StringBuilder();
        for (int i = 0; i < _members.length; i++)
        {
            if (i > 0)
            {
                builder.append(", ");
            }
            builder.append("\"");
            builder.append(_members[i]);
            builder.append("\"");
        }
        return builder.toString();
    }
}
