package rasmus_torkel.set.strings;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class StringPatternSet implements StringSet
{
    private final Pattern _pattern;
    
    public
    StringPatternSet(String patternString)
    {
        this(Pattern.compile(patternString));
    }
    
    public
    StringPatternSet(Pattern pattern)
    {
        if (pattern == null)
        {
            throw new RuntimeException("null pattern");
        }
        _pattern = pattern;
    }

    @Override
    public boolean
    isIn(String s)
    {
        Matcher matcher = _pattern.matcher(s);
        return matcher.matches();
    }

    @Override
    public String
    toString()
    {
        return "/" + _pattern.pattern() + "/";
    }
}
