package rasmus_torkel.set.strings;

public class StringSetIntersection implements StringSet
{
    private final StringSet[] _stringSets;
    
    public
    StringSetIntersection(StringSet... stringSets)
    {
        if (stringSets == null)
        {
            throw new RuntimeException("null stringsets");
        }
        _stringSets = stringSets;
    }

    @Override
    public boolean
    isIn(String s)
    {
        for (StringSet set : _stringSets)
        {
            if (!set.isIn(s))
            {
                return false;
            }
        }
        return true;
    }

    @Override
    public String
    toString()
    {
        StringBuilder buf = new StringBuilder(100);
        buf.append("intersection(");
        for (int i = 0; i < _stringSets.length; i++)
        {
            if (i > 0)
            {
                buf.append(", ");
            }
            buf.append(_stringSets[i]);
        }
        buf.append(")");
        return buf.toString();
    }
}
