package rasmus_torkel.set.strings;

import rasmus_torkel.misc.CharUtil;

public class VariableNameSet implements StringSet
{
    @Override
    public boolean
    isIn(String s)
    {
        return outIndex(s) != -1;
    }
    
    public int
    outIndex(String s)
    {
        int sLen = s.length();
        for (int i = 0; i < sLen; i++)
        {
            char ch = s.charAt(i);
            if (   !(ch == '_')
                && !('a' <= ch && ch <= 'z')
                && !('A' <= ch && ch <= 'Z'))
            {
                if (   i == 0
                    || !('0' <= ch && ch <= '9'))
                {
                    return i;
                }
            }
        }
        return -1;
    }
    
    public String
    outReason(String s)
    {
        int i = outIndex(s);
        if (i == -1)
        {
            return null;
        }
        char ch = s.charAt(i);
        if (i == 0)
        {
            return " has first character " + CharUtil.unicodeCharToStringForMessage(ch) +
                   " which is in A-Z,a-z,_ as required by variable name rules";
        }
        else
        {
            return " has character " + CharUtil.unicodeCharToStringForMessage(ch) +
                   " in position " + (i + 1) +
                   " which is in A-Z,a-z,0-9,_ as required by variable name rules";
        }
    }
}
