/*
 * Copyright Rasmus Torkel 2015
 * Author    Rasmus Torkel 2015
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.text.encode;

import rasmus_torkel.set.chars.CharSet;
import rasmus_torkel.set.chars.DefinedCharSets;

/**
 * For formats where spaces are significant and where we therefore need to
 * escape space. Then, not escaping spaces, particularly, line ends, is not
 * an option, and by having this class, we can get the compiler to enforce that.
 * 
 * @author Torkel
 */
public class SpaceEscapingCharEncodeOptions extends CharEncodeOptions
{
    public static final SpaceEscapingCharEncodeOptions DEFAULT =
            new SpaceEscapingCharEncodeOptions(DefinedCharSets.ENGLISH_KEYBOARD_GENERAL_TEXT,
                                               CharEncodeOptions.DEFAULT_ALL_CHARS);
    
    public SpaceEscapingCharEncodeOptions(CharSet coreChars, CharSet allChars)
    {
        super(coreChars, allChars, SpaceEscapeOption.ESCAPE_NON_SIMPLE);
    }
}
