/*
 * Copyright Rasmus Torkel 2012
 * Author    Rasmus Torkel 2012
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.text.read.exception;


/**
 * Like parent class, except that it does not include exceptions for bugs internal to
 * parsing which the invoking classes should never encounter.
 * 
 * @author Rasmus Torkel
 *
 */
public abstract class PlausibleReadException extends ReadException
{
    protected
    PlausibleReadException(String message)
    {
        super(message);
    }
    
    protected
    PlausibleReadException(String context,
                           String messageCore)
    {
        super(context, messageCore);
    }
    
    public
    PlausibleReadException(String    message,
                           Throwable e)
    {
        super(message, e);
    }
    
    public
    PlausibleReadException(String    context,
                           String    message,
                           Throwable e)
    {
        super(context, message, e);
    }
    
    public
    PlausibleReadException(String inputLabel,
                           int    lineNr,
                           String message)
    {
        super(inputLabel, lineNr, message);
    }
}
