/*
 * Copyright Rasmus Torkel 2016
 * Author    Rasmus Torkel 2016
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.text.read.exception;

/**
 * This is for IO exceptions encountered while reading within this system. We don't throw the
 * original IO exception because we want all our exceptions in a single hierarchy.
 * 
 * @author Rasmus Torkel
 */
public class ReadIoException extends PlausibleReadException
{
    public
    ReadIoException(String    message)
    {
        super(message);
    }
    
    public
    ReadIoException(String    message,
                    Exception e)
    {
        super(message, e);
    }
    
    public
    ReadIoException(String    context,
                    String    message,
                    Exception e)
    {
        super(context, message, e);
    }
}
