/*
 * Copyright Rasmus Torkel 2016
 * Author    Rasmus Torkel 2016
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.text.read.exception;

/**
 * For situations where the content is valid syntax in the underlying language but we have,
 * through relevant read options, placed additional constraints on the content and the content
 * does not satisfy those additional contraints.
 * 
 * @author Rasmus Torkel
 */
public abstract class ReadOptionsEnforcementException extends SemanticException
{
    public
    ReadOptionsEnforcementException(String xmlContext,
                                    String message)
    {
        super(xmlContext, message);
    }
}
