/*
 * Copyright Rasmus Torkel 2012
 * Author    Rasmus Torkel 2012
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.text.read.exception;

/**
 * 
 * For situations where an enum class is required but the supplied class is not an enum class.
 * This can happen with retrieval functions which convert strings to enum values and the
 * invoker supplies the class for the enum value to be returned.
 * 
 * @author Rasmus Torkel
 *
 */
public class SuppliedClassNotEnumException extends IncorrectSuppliedClassException
{
    public
    SuppliedClassNotEnumException(String message)
    {
        super(message);
    }
    
    public
    SuppliedClassNotEnumException(String context,
                                  String messageCore)
    {
        super(context, messageCore);
    }
}
