/*
 * Copyright Rasmus Torkel 2012
 * Author    Rasmus Torkel 2012
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.text.read.exception;

import rasmus_torkel.xml_basic.read.XmlReadOptions;

/**
 * Exception for invoker retrieves nodes out of order in situations where the contract between
 * invoker and parser specifies that nodes must be retrieved in order.
 * The point of such a contract would be to allow the parser to stop referencing old nodes
 * to facilitate memory recycling. Obviously we have a problem if the invoking classes then
 * attempts to retrieve an old node that the Parser is no longer able to supply.
 * 
 * @see XmlReadOptions
 * 
 * @author Rasmus Torkel
 *
 */
public class UnorderedRetrievalException extends IncorrectInvocationReadException
{
    public
    UnorderedRetrievalException(String xmlContext,
                                String messageCore)
    {
        super(xmlContext, messageCore);
    }
}
