package rasmus_torkel.text.type.factory;

/**
 * Indicates that an object is defined by its string representation.
 * This means that:
 * <ul>
 *   <li>It can be created from a String representing it using a {@link StringObjectFactory}</li>
 *   <li>Its toString function creates its string representation.</li>
 * </ul>
 * 
 * @author Torkel
 *
 */
public interface StringObject
{
    // No function because toString is standard and the factory which creates it is not part of it.
}
