/*
 * Copyright Rasmus Torkel 2013
 * Author    Rasmus Torkel 2013
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.text.type.factory.date;

import rasmus_torkel.text.type.factory.StringObjectCreationException;
import rasmus_torkel.text.type.factory.StringObjectFactory;

public class Date2
{
    public  final int _year;
    public  final int _month;
    public  final int _day;
    
    private final StringObjectFactory<Date2> _factory;
    
    public
    Date2(int                 year,
          int                 month,
          int                 day,
          StringObjectFactory<Date2> factory) throws StringObjectCreationException
    {
        DateValidator.validate(year, month, day);
        _year = year;
        _month = month;
        _day = day;
        _factory = factory;
    }
    
    @Override
    public String
    toString()
    {
        return _factory.makeString(this);
    }
}
