/*
 * Copyright Rasmus Torkel 2013
 * Author    Rasmus Torkel 2012/2013
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.xml_basic.read;

import rasmus_torkel.xml_basic.rw.XmlNameSpace;


/**
 * This representation of name spaces contains some more information that is useful during reading.
 * 
 * @author Torkel
 */
public class XmlNameSpaceAtLevel extends XmlNameSpace
{
    /**
     * Refers to the level of the node that declares the name space. Root node is 0.
     * This allows tracking the scope of name spaces. When we are finished parsing the
     * defining node and it's subnodes, the level is decremented and the name space
     * goes out of scope.
     */
    public final int _level;
    
    public
    XmlNameSpaceAtLevel(String  prefix,
                        String  name,
                        int     level)
    {
        super(prefix, name);
        _level = level;
    }
}
