/*
 * Copyright Rasmus Torkel 2015
 * Author    Rasmus Torkel 2015
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.xml_basic.read.exception;

import rasmus_torkel.convention.ConventionConstants;
import rasmus_torkel.text.read.exception.TypedNodeException;
import rasmus_torkel.xml_basic.read.TagNode;

/**
 * For exceptions where the node represents the wrong Java type. This is only for specialised
 * applications where the Java objects are dumped to XML.
 * 
 * @author Rasmus Torkel
 */
public class XmlTypedNodeException extends TypedNodeException
{
    public
    XmlTypedNodeException(TagNode node,
                          String  className,
                          String  messagePartAfterBut)
    {
        super(node._xmlContext,
              node + " specifies class " + className +
              " in attribute " + ConventionConstants.LABEL_FOR_CLASS_NAME_OF_OBJECT +
              " but " + messagePartAfterBut);
    }
}
