/*
 * Copyright Rasmus Torkel 2015
 * Author    Rasmus Torkel 2015
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.xml_basic.rw;

import rasmus_torkel.text.write.LineEndOption;
import rasmus_torkel.xml_basic.write.XmlSink;
import rasmus_torkel.xml_basic.write.XmlWriteOptions;

/**
 * Contains miscellaneous XML functionality.
 * 
 * @author Rasmus Torkel
 *
 */
public class MiscXmlFunctions
{
    public static String
    prepareXmlForHtml(String xmlString)
    {
        XmlSink xmlSink = new XmlSink(XmlWriteOptions.DONT_ESCAPE_SPACE);
        xmlSink.sinkSimpleNode(
                "pre",
                LineEndOption.SYSTEM_PROPERTY._lineEndStr + xmlString);
        return xmlSink.toString();
    }
    
    public static void
    showXmlForHtml(String xmlString)
    {
        String html = prepareXmlForHtml(xmlString);
        System.out.println(html);
    }
}
