/*
 * Copyright Rasmus Torkel 2013
 * Author    Rasmus Torkel 2013
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.xml_basic.tool;

import rasmus_torkel.text.encode.ReformatterCharEncodeOptions;
import rasmus_torkel.text.write.IndentingLineSinkOptions;
import rasmus_torkel.xml_basic.write.AttributeLineOptions;
import rasmus_torkel.xml_basic.write.XmlWriteOptions;

/**
 * The only difference between XmlReformatterWriteOptions and XmlWriteOptions are
 * encode options which are less flexibly specified in the best interest of the
 * invoker.
 * 
 * @author Rasmus Torkel
 *
 */
public class XmlReformatterWriteOptions extends XmlWriteOptions
{
    public static final XmlReformatterWriteOptions DEFAULT =
        new XmlReformatterWriteOptions(XmlWriteOptions.DEFAULT);
    
    public
    XmlReformatterWriteOptions(XmlWriteOptions baseWriteOptions)
    {
        super(new ReformatterCharEncodeOptions(baseWriteOptions._encodeOptions),
              baseWriteOptions._attributeLineOptions,
              baseWriteOptions._attributesSortingOn,
              baseWriteOptions._indentingLineSinkOptions);
    }
    
    public
    XmlReformatterWriteOptions(ReformatterCharEncodeOptions encodeOptions,
                               AttributeLineOptions         attributeLineOption,
                               boolean                      attributesSortingOn,
                               IndentingLineSinkOptions     indentingLineSinkOptions)
    {
        super(encodeOptions, attributeLineOption, attributesSortingOn, indentingLineSinkOptions);
    }
}
